%define major 6
%define libxdmcp %mklibname xdmcp %{major}
%define devxdmcp %mklibname xdmcp -d

Name: libxdmcp
Summary: X Display Manager Control Protocol library
Version: 1.1.5
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXdmcp-%{version}.tar.xz

BuildRequires: pkgconfig(libbsd)
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Display Manager Control Protocol library

#-----------------------------------------------------------

%package -n %{libxdmcp}
Summary: Shared library of %{name}
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxdmcp}
X Display Manager Control Protocol library.

%files -n %{libxdmcp}
%{_libdir}/libXdmcp.so.%{major}
%{_libdir}/libXdmcp.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxdmcp}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxdmcp} = %{version}-%{release}
Provides: libxdmcp-devel = %{version}-%{release}

%description -n %{devxdmcp}
Development files for %{name}

%files -n %{devxdmcp}
%{_datadir}/doc/libXdmcp/xdmcp.xml
%{_libdir}/libXdmcp.so
%{_libdir}/pkgconfig/xdmcp.pc
%{_includedir}/X11/Xdmcp.h

%prep
%setup -q -n libXdmcp-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--without-xmlto \
		--disable-static

%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Sun Mar 03 2024 tex - 1.1.5-1pclos2024
- new version

* Sun Nov 20 2022 tex - 1.1.4-1pclos2022
- new version

* Wed Jan 26 2022 tex - 1.1.3-5pclos2022
- rebuild against updates

* Thu Jun 24 2021 tex - 1.1.3-4pclos2021
- rebuild against updates

* Sun Mar 31 2019 tex - 1.1.3-3pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 1.1.3-2pclos2019
- rebuild against updates

* Sun Mar 17 2019 tex - 1.1.3-1pclos2019
- rebuild against updates
